field_expr_variational_tag.h File Reference

Go to the source code of this file.

## Classes

struct | vf_tag_nonlinear
struct | dual_vf_tag< T >
struct | dual_vf_tag< vf_tag_01 >
struct | dual_vf_tag< vf_tag_10 >
struct | dual_vf_tag< vf_tag_00 >
struct | dual_vf_tag< vf_tag_11 >
struct | uf_vf_tag< F, T >
struct | uf_vf_tag< unary_plus, Tag >
struct | uf_vf_tag< negate, Tag >
struct | bf_vf_tag< F, T1, T2 >
struct | bf_vf_tag< plus, Tag, Tag >
struct | bf_vf_tag< minus, Tag, Tag >
struct | bf_vf_tag< multiplies, vf_tag_00, vf_tag_00 >
struct | bf_vf_tag< multiplies, vf_tag_00, vf_tag_01 >
struct | bf_vf_tag< multiplies, vf_tag_01, vf_tag_00 >
struct | bf_vf_tag< multiplies, vf_tag_00, vf_tag_10 >
struct | bf_vf_tag< multiplies, vf_tag_10, vf_tag_00 >
struct | bf_vf_tag< multiplies, vf_tag_01, vf_tag_10 >
struct | bf_vf_tag< multiplies, vf_tag_10, vf_tag_01 >
struct | bf_vf_tag< multiplies, vf_tag_00, vf_tag_11 >
struct | bf_vf_tag< multiplies, vf_tag_11, vf_tag_00 >

## Namespaces

| rheolef
| This file is part of Rheolef.
| rheolef::details

## Typedefs

typedef std::pair< std::false_type, std::false_type > | vf_tag_00
typedef std::pair< std::false_type, std::true_type > | vf_tag_01
typedef std::pair< std::true_type, std::true_type > | vf_tag_11
typedef std::pair< std::true_type, std::false_type > | vf_tag_10